# QKD Control Interface for SDN

This `edition3` branch contains draft updates to YANG models that are currently under development along with an update to ETSI GS QKD 015 "Quantum Key Distribution (QKD); Control Interface for Software Defined Networks" by ETSI ISG QKD in work item 
[RGS/QKD-015ed3_ContIntSDN](https://portal.etsi.org/webapp/workprogram/Report_WorkItem.asp?WKI_ID=67986).

The current published Group Specification is 
[ETSI GS QKD 015 V2.1.1 (2022-04)](https://www.etsi.org/deliver/etsi_gs/QKD/001_099/015/02.01.01_60/gs_QKD015v020101p.pdf) 
and the accompanying YANG models are in available in tag 
[v2.1.1](https://forge.etsi.org/rep/qkd/gs015-ctrl-int-sdn/-/tree/v2.1.1).

**IMPORTANT: YANG models in this `edition3` branch are under development and subject to change**

Note: The default branch in this repository has been renamed `main` as per QKD(23)033d002.

## Related ISG QKD Repositories

- [YANG models](https://forge.etsi.org/rep/qkd/gs018-orch-int-sdn) for
  ETSI GS QKD 018 "Quantum Key Distribution (QKD); QKD Orchestration Interface for SDN"
- [Draft YANG models](https://forge.etsi.org/rep/qkd/gs021-orch-interop-sdn) for
  draft ETSI GS QKD 021 "Quantum Key Distribution (QKD); Orchestration Interface of Software Defined Networks for Interoperable key management system"

## Contact

For inquiries, contact `isgsupport` at `etsi` dot `org`.

## License

See LICENSE file and https://forge.etsi.org/legal-matters
